using Common;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using com.hnshituo.core.webapp.vo;

namespace MeterConditionLibrary
{
    /// <summary>
    ///仪表重量验证：不是以0结尾的，不允许进行保存
    /// </summary>
    public class validDataValidity
    {
        /// <summary>
        /// 仪表重量验证：不是以0结尾的，不允许进行保存
        /// </summary>
        /// <param name="weight"></param>
        /// <returns></returns>
        public bool ValidMethod(double weight)
        {
            if (!PbCache.lockWgt.ToString().EndsWith("0"))
            {
                PbCache.ResultMessage = "仪表重量[" + weight + "]不是以0结尾，禁止计量操作，请点[语音求助]联系司秤工处理！";
                return false;
            }
            return true;
        }
    }
}
